#### D.14.1.32 arrExponents

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrExponents(A); arr A, multarr A

Return:
  [intvec] The exponents of a free (multi-) arrangement, i.e. the degrees of a basis of D(A) the derivation module.

Note:
  only defined for central arrangements

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A3 = arrBoolean(3);
    arr B3 = arrTypeB(3);
    arr G = ideal(x,y,z,x+y+z);
    arrExponents(A3);
    ==> 1,1,1
    arrExponents(B3);
    ==> 1,3,5

See also: arrDer; arrExponents; arrIsFree.

User manual for Singular version 4.4.1, 2025, generated by texi2html.